// sidebarActive script

var addClassOnScroll = function () {
  var windowTop = $(window).scrollTop();
  $(".scrollSection").each(function (index, elem) {
    var offsetTop = $(elem).offset().top;
    var outerHeight = $(this).outerHeight(true);
    if (windowTop > offsetTop - 550 && windowTop < offsetTop + outerHeight) {
      var elemId = $(elem).attr("id");
      $(".circles .circle").removeClass("active");
      $(".circles a[class='" + elemId + "'] .circle").addClass("active");
    }
  });
};

addClassOnScroll();
$(function () {
  $(window).on("scroll", function () {
    addClassOnScroll();
  });
});

let width = $("#hero").width() - 40;
$("#carousel").css("max-width", width);
$(".iframe-lang").click(function () {
  let iframeSrc = $(this).attr("data-iframe");
  $("#campaign-iframe").attr("src", iframeSrc);
});
// carousel script

jQuery("#carousel").owlCarousel({
  autoplay: true,
  rewind: true,
  loop: true,
  /* use rewind if you don't want loop */
  margin: 20,
  responsiveClass: true,
  autoHeight: true,
  autoplayTimeout: 7000,
  smartSpeed: 800,
  nav: true,
  dots: false,
  responsive: {
    0: {
      items: 1,
    },
    420: {
      items: 1,
    },
    820: {
      items: 1,
    },

    1024: {
      items: 2,
    },

    1366: {
      items: 3,
    },
  },
});
$(".owl-prev").html('<i class="fa fa-chevron-left"></i>');
$(".owl-next").html('<i class="fa fa-chevron-right"></i>');

$(document).on("submit", "[data-submit-form]", function (e) {
  e.preventDefault();
  var route = $(this).attr("data-submit-form");
  var method = $(this).attr("method") || "post";
  var data = new FormData(this);
  var alertError = $(".alertError");
  var errordisplay = $(".errordisplay");
  alertError.html("");
  errordisplay.hide();

  // $(".submitbutton").attr("disabled", "disabled").css({ display: "none" });
  // $(".disabledBtn").css({ display: "block" });

  //   $.ajax({
  //     url: route,
  //     type: method,
  //     data: data,
  //     cache: false,
  //     contentType: false,
  //     processData: false,
  //     headers: {
  //         "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr(
  //             "content"
  //         ),
  //     },
  //     success: function (data) {
  //         $(".submitbutton")
  //             .removeAttr("disabled")
  //             .css({ display: "block" });
  //         $(".disabledBtn").css({ display: "none" });

  //         if (data.status === "success") {
  //           Swal.fire(
  //             'Success!',
  //              data.message,
  //             'success'
  //           );
  //             if (typeof data.data.nextUrl != "undefined") {
  //                 $("html, body").animate({ scrollTop: 0 }, "fast");
  //                 window.location.href = data.data.nextUrl;
  //             } else if (typeof data.data.modalCall != "undefined") {
  //                 $("#myModal").modal("hide");
  //             } else {
  //                 $("html, body").animate({ scrollTop: 0 }, "fast");
  //                 window.location.reload();
  //             }
  //         } else {
  //             $("html, body").animate({ scrollTop: 0 }, "fast");
  //             if (typeof data.message === "object") {
  //                 $.each(data.message, function (index, value) {
  //                     $("." + index)
  //                         .show()
  //                         .text(value[0]);
  //                 });
  //             } else if (typeof data.message === "string") {
  //                 // var html = `<div class="alert alert-danger background-warning">
  //                 //             <strong>Error!</strong> ${data.message}
  //                 //             <button type="button" class="btn-close float-right" data-bs-dismiss="alert" aria-label="Close" style="float:right !important;"></button>
  //                 //             </div>`;

  //                             Swal.fire(
  //                               'Error!',
  //                               data.message,
  //                               'error'
  //                             );
  //                 ///alertError.show().html(html);
  //             }
  //         }
  //         errordisplay.fadeOut(3000);
  //     },
  //     error: function (err) {
  //         $(".submitbutton")
  //             .removeAttr("disabled")
  //             .css({ display: "block" });
  //         $(".disabledBtn").css({ display: "none" });
  //         $("html, body").animate({ scrollTop: 0 }, "fast");
  //         // var html = `<div class="alert alert-danger background-warning">
  //         //                     <strong>Error!</strong> Internal Server Error ! Please Try Again
  //         //                     <button type="button" class="btn-close float-right" data-bs-dismiss="alert" aria-label="Close" style="float:right !important;"></button>
  //         //                     </div>`;

  //                             Swal.fire(
  //                               'Error!',
  //                               'Something Went Wrong!',
  //                               'error'
  //                             );

  //         //alertError.show().html(html);
  //         errordisplay.fadeOut(3000);
  //     },
  //   });
});




$(document).ready(function() {
    $('#testimonial_form').validate({
        rules: {
            name: {
                required: true,
                minlength: 2
            },
            age: {
                required: true,
                
            },
            /*email: {
                required: true,
                email: true
            },
            phone: {
                required: true,
                number: true,
                min: 10
            },*/
            testimony: {
                required: true,
                
            },
            agreement_checked: {
                required: true,
                
            },
        },
        messages: {
            name: {
                required: "Please enter your name",
                minlength: "Your name must consist of at least 2 characters"
            },
            age: {
                required: "Please enter your age",
                number: "Please enter a valid number",
               
            },
           /* email: {
                required: "Please enter your email",
                email: "Please enter a valid email address"
            },
            phone: {
                required: "Please enter your phone number",
                number: "Please enter a valid number",
               
            },*/
            testimony: {
                required: "Please enter your review",
                
            },
            agreement_checked: {
                required: "This field is required",
                
            },
        },
        submitHandler: function(form) {
          $('.loader').show();
            $.ajax({
                url: 'mail.php', // URL to the PHP file that will process the data
                type: 'POST',
                data: $(form).serialize(), // Serialize form data
                dataType: 'json',
                success: function(response) {
                    // Handle success response
                    //console.log(response);
                    $('.loader').hide();
                    if(response.status == 'success'){
                      //$('#contactForm').hide();
                      $('#testimonial_form')[0].reset();
                      Swal.fire(
                      'Success!',
                       'Thank you for your valuable review',
                      'success'
                    );
                      //$('#responseMessage').html('<p class="success-msg">Thank you for registering your interest in Seventy Seven Halifax, Brighton. Your enquiry has been received and a member of our team will be in contact with you shortly.</p>');
                    }else{
                      //$('#responseMessage').html('<p class="error-msg">' + response.msg +'</p>');
                      Swal.fire(
                                'Error!',
                                'Something Went Wrong!',
                                'error'
                              );
                    }
                },
                error: function() {
                    // Handle error response
                    Swal.fire(
                                'Error!',
                                'Something Went Wrong!',
                                'error'
                              );
                }
            });
            return false; // Prevent default form submission
        }
    });
});